#
#--
# ScanDB - A library for importing and analyzing information generated by
# various network scanning utilities.
#
# Copyright (c) 2008 Hal Brodigan (postmodern.mod3 at gmail.com)
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation, Inc.,
# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
#++
#

require 'scandb/os_match'
require 'scandb/model'

module ScanDB
  class OSMatchGuess

    include Model

    # The accuracy of the guess
    property :accuracy, Integer

    # The Date and Time when the OSMatch was first guessed
    property :scanned_at, DateTime

    # The OS Match for the guess
    belongs_to :os_match, :class_name => 'OSMatch'

    # The Host that the guess was made against
    belongs_to :host

    #
    # Returns the String form of the OS Match guess.
    #
    def to_s
      "#{accuracy}%: #{os_match}"
    end

  end
end
